<?php

$us = mysql_fetch_array(mysql_query("SELECT *,(select `id` from `online` WHERE login_time >= ".(time()-60)." AND `id` = users.`id`) as `online`  FROM `users` WHERE `login` = '".mysql_real_escape_string($_POST['target'])."' LIMIT 1;"));
$effect = mysql_fetch_array(mysql_query("SELECT `time` FROM `effects` WHERE `owner` = '{$us['id']}' and `type` = '22' LIMIT 1;"));
      
$int=101;

if ($user['battle'] > 0) {echo "Не в бою...";}
elseif ($effect['time']) {echo "На персонаже уже есть заклятие Защита от кулачного нападения"; }
elseif ($user->getRoom() != $us['room']) { echo "Персонаж в другой комнате!"; }
elseif (!$us['online']) {echo "Персонаж не в игре!";}
elseif (rand(1,100) < $int) {    

      addch("<img src=i/magic/fist_def.gif>Персонаж &quot;{$user['login']}&quot; наложил заклятие \"Защита от кулачного нападения\" на &quot;{$_POST['target']}&quot;, сроком 2 часа.");
    
      $us = mysql_fetch_array(mysql_query("SELECT `id` FROM `users` WHERE `login` = '{$_POST['target']}' LIMIT 1;")); 
      mysql_query("INSERT INTO `effects` (`owner`,`name`,`time`,`type`) values ('".$us['id']."','Защита от кулачного нападения',".(time()+7200).",22);");
      echo "<font color=red><b>На персонажа \"{$_POST['target']}\" наложено заклятие \"Защита от кулачного нападения\" </b></font>";      
      $bet=1;
      $outok=1;
      

} else {
        echo "Свиток рассыпался в ваших руках...";
        $bet=1;
      }  

